<?php

if (!defined('ROOT')) exit('Can\'t Access !');

class announ_act extends act
{
    function init()
    {
    }

    function show_action()
    {
        front::check_type(front::get('id'));
        $announcement = new announcement();
        $this->view->announ = $announcement->getrow(front::get('id'));
    }


    /*function getcurl_action(){
        $curl = new curl();
        $curl->set('host', 'https://u.cmseasy.cn/');
        $curl->set('file', 'index.php?case=announ&act=getcurl&ss=sssss');
        $username='测试11';
        $password='12311';
        $post='username='.urlencode($username).'&password='.urlencode($password);//urlencode()
        $str = $curl->curl_post($post, 10);
        $str=json_decode($str, true);
        echo print_r($str);
        exit;
    }*/

    function end()
    {
        if (front::$debug)
            $this->render('style/index.html');
        else
            $this->render();
    }
}